function [t,i,j,u] = lenta_impuls(rho,h,l,Im,Tc,Tg,tmax)
d = 2*(30+4)/1000/pi;
Rz = rho/(pi*l) * log(l/sqrt(d*h))
G1 = 1/(Rz*l);
L1 = 2e-7*log(2*l/d);
n = l/0.5;
R = 1/(G1*l/n);
L = L1*l/n;
f = @(t,i) izvodi_vod(t,i,R,L,Im,Tc,Tg);
[t, i] = ode23t(f,[0 tmax],zeros(n,1));
j(:,1) = impuls(t,Im,Tc,Tg) - i(:,1);
for k = 2:n
    j(:,k) = i(:,k-1) - i(:,k);
end
j(:,n+1) = i(:,n);
u = R*j;
u(:,[1 n+1]) = 2*u(:,[1 n+1]);
Ri = max(u(:,1))/Im
alfa = Ri/Rz
