function [r,Rz,Uz,I,L] = zaz(datoteka)
if isstruct(datoteka)
    Z = datoteka;
else
    Z = feval(datoteka);
end
rho = Z.rho; L = Z.L; n = size(L,1);
L = [L; L];
L(n+1:end,[3 6]) = -L(n+1:end,[3 6]);
[xp,yp,zp,xk,yk,zk,dp] = ...
    deal(L(:,1),L(:,2),L(:,3),L(:,4),L(:,5),L(:,6),L(:,7)/1000);
r = zeros(n,2*n);
rs = zeros(n,1);
for i = 1:n
  d1 = sqrt((xk(i)-xp(i))^2 + (yk(i)-yp(i))^2 + (zk(i)-zp(i))^2);
  rs(i) = rho/(2*pi*d1)*log(2*d1/dp(i));
  for j = i+1:2*n
      k = [i j];
      [xp1,yp1,zp1,xk1,yk1,zk1] = ...
          deal(xp(k),yp(k),zp(k),xk(k),yk(k),zk(k));
      f = @(t) nojman(t,xp1,yp1,zp1,xk1,yk1,zk1,d1);
      r(i,j) = rho/(4*pi*d1)*integral(f,0,1);
      if j<= n
          r(j,i) = r(i,j);
      end
  end
end
r = r(:,1:n) + r(:,n+1:end) + diag(rs);
Y = r^-1;
Rz = 1/sum(Y(:));
Uz = Rz*Z.Iz;
I = Uz*sum(Y,2);
